Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#65303 - [intellij-idea-community-edition] 2:2019.3.2-1 fails to load Kotlin plugin at startup

Attached to Project: Community Packages
Opened by Emanuele Giacomelli (manuelino) - Tuesday, 28 January 2020, 13:48 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Levente Polyak (anthraxx)
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 27
Private No

Details

Description:

After the IDE is started, a popup dialog shows up telling that it cannot load the Kotlin plugin.

The contents of the dialog are shown in the attachment.

The same version up the program downloaded from the upstream website does not exhibits this problem. Also, the previous package version (2:2019.3-1) worked well.

I tried to reproduce the bug both on my current Arch system as well as on a dedicated Docker container running the image archlinux/base. Both give this problem.

Steps to reproduce:

* Install package intellij-idea-community-edition;
* Lunch the program (/usr/bin/idea);
* The Kotlin plugin cannot be activated and a popup is shown.
   idea.log (3.3 KiB)
This task depends upon

Comment by Levente Polyak (anthraxx) - Tuesday, 28 January 2020, 15:00 GMT
But intellij itself works after the dialog forces you to disable the kotlin plugin, right?
So as a summary "just" the kotlin plugin usage is broken?
Comment by Emanuele Giacomelli (manuelino) - Tuesday, 28 January 2020, 15:19 GMT
Yes. After the dialog is dismissed IntelliJ closes. Then, if you reopen it, it will start normally since Kotlin is now disabled. Trying to open a Kotlin project works but specific items, like Kotlin run configurations are not recognized.
Comment by grmat (grmat) - Thursday, 30 January 2020, 00:48 GMT
> But intellij itself works after the dialog forces you to disable the kotlin plugin, right?

There is no dialog like that. Going to plugin settings just the only thing I can do. I can't open a project, nor go to the "full" settings page.

Also, Kotlin is required for Android, so disabling it disables Android functionality as well, even if you don't use Kotlin in your Android project.
Comment by Emanuele Giacomelli (manuelino) - Thursday, 30 January 2020, 07:26 GMT
I'd like to add that the dialog box I mentioned pops up in the clean case of new installation which has not yet populated `$HOME/.IdeaIC2019.3`.

If I start with the old, working, package version with some Kotlin projects, update the package and the start the IDE, no dialog is shown. Instead, when I try to open a project from the project list, the window disappears for an instant and then returns, in an endless loop.
Comment by Gregory (rollenwiese) - Thursday, 30 January 2020, 17:12 GMT
Installing Kotlin package does not resolve this. (I thought it might).
Comment by José Jorge (mexchip) - Friday, 31 January 2020, 17:51 GMT
In my case, after upgrading and trying to open IntelliJ, instead of opening the last open project, it loads the "Welcome to IntelliJ IDEA" window with a recent projects list on the left, if I click on one project, a window seems to open but closes inmediately, and this exception message appears:

2020-01-31 11:50:31,314 [ 144918] ERROR - m.PlatformProjectOpenProcessor - Fatal error initializing plugin org.jetbrains.kotlin
com.intellij.ide.plugins.StartupAbortedException: Fatal error initializing plugin org.jetbrains.kotlin
at com.intellij.ide.plugins.PluginManager.handleComponentError(PluginManager.java:55)
at com.intellij.serviceContainer.PlatformComponentManagerImpl.handleInitComponentError(PlatformComponentManagerImpl.kt:247)
at com.intellij.serviceContainer.PlatformComponentManagerImpl.registerComponents(PlatformComponentManagerImpl.kt:113)
at com.intellij.openapi.project.impl.ProjectImpl.registerComponents(ProjectImpl.java:250)
at com.intellij.openapi.project.impl.ProjectManagerImpl.initProject(ProjectManagerImpl.java:313)
at com.intellij.openapi.project.impl.ProjectManagerImpl.convertAndLoadProject(ProjectManagerImpl.java:624)
at com.intellij.platform.PlatformProjectOpenProcessor.prepareProject(PlatformProjectOpenProcessor.java:315)
at com.intellij.platform.PlatformProjectOpenProcessor.lambda$openExistingProject$0(PlatformProjectOpenProcessor.java:241)
at com.intellij.platform.ProjectUiFrameAllocator$run$1$1.run(ProjectFrameAllocator.kt:77)
at com.intellij.openapi.progress.impl.CoreProgressManager$2.run(CoreProgressManager.java:247)
at com.intellij.openapi.progress.impl.CoreProgressManager$TaskRunnable.run(CoreProgressManager.java:888)
at com.intellij.openapi.progress.impl.CoreProgressManager$5.run(CoreProgressManager.java:441)
at com.intellij.openapi.progress.impl.CoreProgressManager.lambda$runProcess$2(CoreProgressManager.java:163)
at com.intellij.openapi.progress.impl.CoreProgressManager.registerIndicatorAndRun(CoreProgressManager.java:585)
at com.intellij.openapi.progress.impl.CoreProgressManager.executeProcessUnderProgress(CoreProgressManager.java:531)
at com.intellij.openapi.progress.impl.ProgressManagerImpl.executeProcessUnderProgress(ProgressManagerImpl.java:59)
at com.intellij.openapi.progress.impl.CoreProgressManager.runProcess(CoreProgressManager.java:150)
at com.intellij.openapi.application.impl.ApplicationImpl.lambda$null$4(ApplicationImpl.java:441)
at com.intellij.util.ConcurrencyUtil.runUnderThreadName(ConcurrencyUtil.java:221)
at com.intellij.util.ConcurrencyUtil.lambda$underThreadNameRunnable$3(ConcurrencyUtil.java:209)
at com.intellij.openapi.application.impl.ApplicationImpl$1.run(ApplicationImpl.java:238)
at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:515)
at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)
Caused by: com.intellij.diagnostic.PluginException: Could not initialize class org.jetbrains.kotlin.idea.caches.trackers.KotlinCodeBlockModificationListener [Plugin: org.jetbrains.kotlin]
... 26 more
Caused by: java.lang.NoClassDefFoundError: Could not initialize class org.jetbrains.kotlin.idea.caches.trackers.KotlinCodeBlockModificationListener
at java.base/java.lang.Class.forName0(Native Method)
at java.base/java.lang.Class.forName(Class.java:398)
at com.intellij.serviceContainer.PlatformComponentManagerImpl.registerComponent(PlatformComponentManagerImpl.kt:203)
at com.intellij.serviceContainer.PlatformComponentManagerImpl.registerComponents(PlatformComponentManagerImpl.kt:109)
... 23 more
2020-01-31 11:50:31,315 [ 144919] ERROR - m.PlatformProjectOpenProcessor - IntelliJ IDEA 2019.3.2 Build #IC-193.6015.39
2020-01-31 11:50:31,315 [ 144919] ERROR - m.PlatformProjectOpenProcessor - JDK: 11.0.6; VM: OpenJDK 64-Bit Server VM; Vendor: Oracle Corporation
2020-01-31 11:50:31,315 [ 144919] ERROR - m.PlatformProjectOpenProcessor - OS: Linux
2020-01-31 11:50:31,315 [ 144919] ERROR - m.PlatformProjectOpenProcessor - Plugin to blame: Kotlin version: 1.3.61-release-IJ2019.3-1
2020-01-31 11:50:31,315 [ 144919] ERROR - m.PlatformProjectOpenProcessor - Last Action:
Comment by Yucheng Cai (craynic) - Tuesday, 04 February 2020, 11:16 GMT
I also met this issue.
Reopening doesn't work.
However, aur/intellij-idea-community-edition-no-jre works well on my computer.
Comment by Bram Avontuur (brama) - Wednesday, 05 February 2020, 03:38 GMT
I had existing projects, and after the latest update, got the same symptoms as José described above. Only way to resolve it was to rm -rf ~/.IdeaIC2019.* - after that, setting up new preferences and importing projects, and it all works again.
Comment by Diego Ramirez (dnrr) - Wednesday, 05 February 2020, 10:40 GMT
Currently have the same problem, if I delete folder /.IdeaIC2019 I am able to re start the IDE, but error keeps showing app and can't work on Kotlin
Comment by Tobias Mucke (tokcum) - Friday, 07 February 2020, 12:12 GMT
There is a corresponding bug report filed at JetBrains: https://youtrack.jetbrains.com/issue/KT-36308.

I also described a workaround there. This workaround was feasible for me because I don't rely on Kotlin.

Workaround: Disabled the Kotlin Plugin. Next time Idea should start as usual.

Comment by Levente Polyak (anthraxx) - Friday, 07 February 2020, 14:15 GMT
It all boils down to: https://youtrack.jetbrains.com/issue/IDEA-230672
but JetBrains is incredibly bad at debugging and reproducing. Literally zero priority on their side. Very frustrating upstream.
Comment by Jamie Tanna (jamietanna) - Saturday, 08 February 2020, 14:42 GMT
This is very frustrating, but I can confirm that using aur/intellij-idea-community-edition-no-jre has resolved this, as per craynic's comment
Comment by Tobias Mucke (tokcum) - Saturday, 08 February 2020, 15:56 GMT
Talking about boiling down, please have a look at https://bugs.archlinux.org/task/65414 and https://bugs.archlinux.org/task/57752.

It is always easier to blame the other party compared to working on a solution. It is a fact that JetBrains decided to focus their support on issues where a fully supported Intellij Idea environment is used. This includes the JDK bundled with Idea called JBR. Delivering Idea CE without JBR neglects this thus accepting productivity losses of the users. As the above mentioned issues 57752 and 65414 show this an informed decision taken by the package maintainers.

I strongly disagree with Eli stating "would also ensure "it" is "more likely to work". But that is laughably insane...". Why is this insane? This argument is based on a fallacy. Delivering Idea with bundled JDK does not lead to what Eli states: "Using the bundled everything across all packages in our repositories".

Due to obvious reasons I also disagree with Levent who states: "we should use system java here because of what Eli said. Works superb." No, it does not work superb. There are issues which would just vanish if JBR would be bundled within the package.

There are people out there who realized that. This is probably one reason why there is an alternate package on AUR including JBR. Maintaining that package takes additional ressources from the community and having multiple packages for the same software puzzles users.

I will have to file another issue regarding the Markdown Preview. It just don't work with this Idea package on Arch. It works fine on Ubuntu and as soon as I use JBR.
Comment by Levente Polyak (anthraxx) - Sunday, 09 February 2020, 00:47 GMT
@Tobias

You are hijacking this thread with unrelated information and rant about something totally different just to push your agenda because reopening the other ticket which this wall of text is about was denied by bug wranglers. You are free to express your thoughts in appropriate and matching places, but not in arbitrary locations that technically doesn't have anything to do with it. I hereby warn you to not deliberately hijack unrelated threads for your personal agenda and i expect you to not furthermore misuse this bug ticket.

Just in case you think it is related, if you would have followed this ticket and read the ticket I have posted you would notice:
1) This problem is fully exclusively related to the wonky upstream build infrastructure and is a library dependency issue during build time that manifests while trying to tackle compilation problems of the IDE
2) This has exactly zero to do with JBR java environment, this is a dependency issue in the build chain after the community tries to get this to compile at all. This is nothing that JBR would ever fix or even be related to, the very reason the AUR package works is that it is simply repackaging a pre built binary variant instead of compiling the CE variant from source. The repackaged one is created with the magical JB build environment inside their private network that currently nobody else can properly compile no matter if planning to keep the JBR or not as its just stripped post build.
3) Yes, I do blame upstream here as this equally affects intellij build environments as upstream expects it to be, including the JBR. Simply following their exact compilation instruction leads to nowhere since 2 releases where people are trying to built the IDE from source equally for what you call "fully supported Intellij Idea environment". In fact I've been working with some other community members to try debug this issue and have partial fixes that at least allowed to compile the IDE at all. Unfortunately with some dependency issues related to the kotlin plugin that manifested later, but only community users and me are trying to properly investigate on this issue and try to find the root causes, JetBrains employee just did zero contribution so far to get this resolved.

Summing all this up the only one here who takes it easy to blame others and doesn't work at all on a solution or contribution is exclusively you. If you want to post anything about your JBR feelings, do it in an appropriate ticket that is related to that topic or not at all. This ticket is about something else and deliberate topic hijacking is not tolerated.
Comment by Eli Schwartz (eschwartz) - Sunday, 09 February 2020, 01:07 GMT
@tokcum,

DO NOT HIJACK OPEN BUGS TO ADVERTISE YOUR CLOSED BUG.
It's totally offtopic here.

Any further comments here that are related to the JBR bundled version of Java will be deleted without warning. There is no appeal. Do not post in bad faith; it will not go well for you.
Comment by José Jorge (mexchip) - Monday, 10 February 2020, 17:38 GMT
I can confirm intellij-idea-community-edition-no-jre works fine with kotlin plugin enabled (as stated by craynic and jamietanna), one would think (from the latest comments) that maybe the jetbrains bundled jre would be needed.
Comment by Nonny Moose (nonnymoose) - Sunday, 16 February 2020, 14:34 GMT
For anyone who is having trouble using projects due to this bug, it seems that you can disable the Kotlin plugin through the welcome screen's plugins configuration option, and then most features (not anything using Kotlin, of course) work fine.
Comment by egil (egil) - Friday, 28 February 2020, 17:38 GMT
sorry for the noise, my solution did not solve the problem.
Comment by José Jorge (mexchip) - Wednesday, 11 March 2020, 00:51 GMT
Version 2019.3.2-1 does not present the problem, so it seems to have been fixed.
Comment by Danilo Pianini (danysk) - Wednesday, 11 March 2020, 10:45 GMT
It does not José. I tried right now and the problem is still there. Plus, JetBrains closed https://youtrack.jetbrains.com/issue/KT-36308 as "third party problem", so they won't fix it.
Comment by Levente Polyak (anthraxx) - Wednesday, 11 March 2020, 12:04 GMT
The ticket that matters is https://youtrack.jetbrains.com/issue/IDEA-230672 but they are incapable of providing appropriate capacities or willingness to seriously debug this. great way of open source handling >.>
Comment by José Jorge (mexchip) - Friday, 13 March 2020, 16:44 GMT
I had installed package intellij-idea-community-edition-no-jre from aur and worked with that one for a while, but kept intellij-idea-commmunity-edition package in my system, when I noticed this last one got updated I tried it and it works now without problem, I even removed the -no-jre package and now I only have the one from the community repository:

$ pacman -Qs intellij
local/intellij-idea-community-edition 2:2019.3.2-1
IDE for Java, Groovy and other programming languages with advanced refactoring features

Comment by Danilo Pianini (danysk) - Monday, 23 March 2020, 08:50 GMT
José I just tried again, with a clean system, and the issue persists. Maybe the aur version overwrote some file and "fixed" it for you? Can you try in a clean installation?
Comment by Gabriel Chamon Araujo (gchamon) - Tuesday, 24 March 2020, 17:36 GMT
Check if your kotlin plugin is updated. Mine was at version 1.3.61 whereas the latest one was 1.3.71. Could not update automatically, so I download the zip and installed it manually.

- go to https://plugins.jetbrains.com/plugin/6954-kotlin/versions and download the version that applies to you intellij version (if you are using intellij-idea-community-edition, that will be 1.3.71-release-IJ2019.3-1)
- go to the plugin manager (shit-shift Plugins...) click the vertical `...` button and select `Install plugin from disk...`
- find the download zip and install it
Comment by Levente Polyak (anthraxx) - Saturday, 28 March 2020, 21:24 GMT
Please try 2:2019.3.4 and give feedback if this still persists, you may have to remove and reset the config dir by rm-ing ~/.IdeaIC2019.3
Comment by Melissa Loos (Kaiyazeera) - Saturday, 28 March 2020, 23:26 GMT
The update today seems to have fixed the issue

Loading...